<?php

class cStockvalorizadocompra{

	function stock_valorizado_empresa($empid){
	$sql="select * from tb_almacen al
		inner join tb_piso pi on pi.tb_almacen_id = al.tb_almacen_id
		inner join tb_puntoventa punven on punven.tb_puntoventa_id= pi.tb_puntoventa_id
		inner join tb_empresa em on em.tb_empresa_id = punven.tb_empresa_id 
		where em.tb_empresa_id = '$empid' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	
	
function mostrar_filtro($fec1,$fec2,$nom1,$nom2,$cat_id,$mar,$emp_id){
	$sql="select * from tb_compradetalle cd
	inner join tb_compra c on c.tb_compra_id = cd.tb_compra_id
	LEFT JOIN tb_catalogo ct ON ct.tb_catalogo_id = cd.tb_catalogo_id 
	left join tb_producto pro ON pro.tb_producto_id = ct.tb_producto_id
	LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = pro.tb_presentacion_id 
	LEFT JOIN tb_empaque emp ON emp.tb_empaque_id = pro.tb_empaque_id 
	left join tb_categoria cat on cat.tb_categoria_id = pro.tb_categoria_id
	inner join tb_marca m on cd.tb_marca_id = m.tb_marca_id
	left join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
	WHERE pro.tb_producto_xac='1' and c.tb_compra_xac = '1' and c.tb_compra_fec BETWEEN '$fec1' and '$fec2' ";


	if($nom1!="" || $nom2!="" ){
		$sql.=" AND pro.tb_producto_des LIKE '%$nom1%' AND pro.tb_producto_des LIKE '%$nom2%' ";
	}
		
		if($cat_id>0)$sql.=" AND pro.tb_categoria_id = '$cat_id' ";
		if($mar!="")$sql.=" AND m.tb_marca_nom like '%$mar%' ";
		if($emp_id!="")$sql.=" AND em.tb_empresa_id = '$emp_id' ";

	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	

	

}

?>